## org.apache.bcel.verifier.structurals
Class ExceptionHandler

    java.lang.Object
      |
      +--org.apache.bcel.verifier.structurals.ExceptionHandler

public class ExceptionHandler
extends java.lang.Object

This class represents an exception handler; that is, an ObjectType representing a subclass of java.lang.Throwable and the instruction the handler starts off (represented by an InstructionContext).

Version:
  $Id: ExceptionHandler.java,v 1.1.1.1 2001/10/29 20:00:38 jvanzyl Exp $
Author:
  Enver Haase

Method Summary
`ObjectType` `getExceptionType()` Returns the type of the exception that's handled.
`InstructionHandle` `getHandlerStart()` Returns the InstructionHandle where the handler starts off.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getExceptionType

    public ObjectType getExceptionType()

  Returns the type of the exception that's handled. 'null' means 'ANY'.

### getHandlerStart

    public InstructionHandle getHandlerStart()

  Returns the InstructionHandle where the handler starts off.

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.